/* допилинги цветов для подложек подсказок начало */
.cb-scheme_element-1 {
  border: 2px solid #F9F3C2 !important;
  box-shadow: 0px 4px 20px rgba(1, 12, 28, 0.02) !important;
}
.cb-scheme_element-2 {
  border: 2px solid #F3E1FD !important;
  box-shadow: 0px 4px 20px rgba(1, 12, 28, 0.02) !important;
}
.cb-scheme_element-3 {
  border: 2px solid #FFD9A0 !important;
  box-shadow: 0px 4px 20px rgba(1, 12, 28, 0.02) !important;
}
.cb-scheme_element-4 {
  border: 2px solid #D8EAFF !important;
  box-shadow: 0px 4px 20px rgba(1, 12, 28, 0.02) !important;
}
.cb-scheme_element-5 {
  border: 2px solid #C8F3CC !important;
  box-shadow: 0px 4px 20px rgba(1, 12, 28, 0.02) !important;
}
.cb-scheme_element-6 {
  border: 2px solid #F3C8C8 !important;
  box-shadow: 0px 4px 20px rgba(1, 12, 28, 0.02) !important;
}

/* допилинги цветов для подложек подсказок конец */
/* допилинги для слайдера начало */
.cb-cases .ario-clients.case-slider_solutions .hover-block_industry {
  position: relative;
  max-height: 540px;
  max-width: 360px;
}
.cb-cases .case-project_item-link {
  left: 0;
}
.cb-cases .case-project_item-link a {
  color: #1a81c1;
}
.cb-cases .slick-arrow {
  top: calc(50% - 50px);
}

/* допилинги для слайдера конец */
/* расположение блоков с подсказками в переключалке начало*/
.incoming-block .architecture-message.dot-1 {
  top: -19px;
}
.incoming-block .architecture-message.dot-2 {
  top: 84px;
}
.incoming-block .architecture-message.dot-3 {
  top: 231px;
}
.incoming-block .architecture-message.dot-4 {
  top: 321px;
}
.incoming-block .architecture-message.dot-5 {
  top: 448px;
}
.incoming-block .architecture-message.dot-6 {
  top: 588px;
}

.outcoming-block .architecture-message.dot-1 {
  top: -12px;
}
.outcoming-block .architecture-message.dot-2 {
  top: 113px;
}
.outcoming-block .architecture-message.dot-3 {
  top: 113px;
}
.outcoming-block .architecture-message.dot-4 {
  top: 212px;
}
.outcoming-block .architecture-message.dot-5 {
  top: 353px;
}
.outcoming-block .architecture-message.dot-6 {
  top: 450px;
}
.outcoming-block .architecture-message.dot-7 {
  top: 589px;
}

/* расположение блоков с подсказкамив переключалке конец */
.cb-architecture .ario-architecture__messages .architecture-message .connect-point {
  top: calc(50% - 1px);
}
.cb-architecture .architecture-scheme {
  max-width: 474px;
  min-width: auto;
  background: none;
}
.cb-architecture .architecture-scheme:after {
  display: none;
}
.cb-architecture .architecture-scheme__element {
  z-index: 0;
}
.cb-architecture .architecture-scheme__element:not(:first-of-type) {
  margin-top: 0;
}

/* допилинги цветов при ховере для подложек подсказок начало */
.cb-architecture .dot-1.hovered .architecture-message__content, .cb-architecture .dot-1:hover .architecture-message__content {
  background-color: #F9F3C2;
}

.cb-architecture .dot-2.hovered .architecture-message__content, .cb-architecture .dot-2:hover .architecture-message__content {
  background-color: #F3E1FD;
}

.cb-architecture .dot-3.hovered .architecture-message__content, .cb-architecture .dot-3:hover .architecture-message__content {
  background-color: #FFD9A0;
}

.cb-architecture .dot-4.hovered .architecture-message__content, .cb-architecture .dot-4:hover .architecture-message__content {
  background-color: #D8EAFF;
}

.cb-architecture .dot-5.hovered .architecture-message__content, .cb-architecture .dot-5:hover .architecture-message__content {
  background-color: #C8F3CC;
}

.cb-architecture .dot-6.hovered .architecture-message__content, .cb-architecture .dot-6:hover .architecture-message__content {
  background-color: #F3C8C8;
}

/* допилинги цветов при ховере для подложек подсказок конец */
/* расположение точек по бокам блоков начало  */
.cb-architecture .black-dot.dot-right {
  right: -5px !important;
  left: auto !important;
}
.cb-architecture .black-dot.dot-left {
  right: auto !important;
  left: -5px !important;
}

/* расположение точек по бокам блоков конец */
/* расположение стрелок вверх/вниз начало  */
.cb-architecture .dot-arrow_top {
  position: absolute;
  top: 20%;
  left: -17px;
  width: 2px;
  height: 2px;
}
.cb-architecture .dot-arrow_top:before {
  position: absolute;
  content: "";
  left: 5px;
  bottom: -6px;
  width: 10px;
  height: 10px;
  border-left: 2px solid #FF6E16;
  border-bottom: 2px solid #FF6E16;
  transform: rotate(225deg);
}
.cb-architecture .dot-arrow_top:after {
  position: absolute;
  content: "";
  left: 0;
  bottom: -2px;
  width: 17px;
  height: 8px;
  border-left: 2px solid #FF6E16;
  border-bottom: 2px solid #FF6E16;
  border-radius: 0 0 0 5px;
}

.cb-architecture .dot-arrow_bottom {
  position: absolute;
  bottom: 20%;
  left: -17px;
  width: 2px;
  height: 2px;
}
.cb-architecture .dot-arrow_bottom:before {
  position: absolute;
  content: "";
  left: 0;
  bottom: -1px;
  width: 17px;
  height: 8px;
  border-left: 2px solid #FF6E16;
  border-top: 2px solid #FF6E16;
  border-radius: 5px 0 0 0;
}

/* расположение стрелок вверх/вниз конец  */
@media screen and (max-width: 400px) {
  .cb-architecture .dot-arrow_top {
    position: absolute;
    top: 20%;
    left: -8px;
  }
  .cb-architecture .dot-arrow_top:before {
    position: absolute;
    content: "";
    left: 0px;
    bottom: -4px;
    width: 8px;
    height: 8px;
    border-left: 2px solid #FF6E16;
    border-bottom: 2px solid #FF6E16;
    transform: rotate(225deg);
  }
  .cb-architecture .dot-arrow_top:after {
    position: absolute;
    content: "";
    left: 0;
    bottom: -1px;
    width: 7px;
    height: 3px;
    border-left: 2px solid #FF6E16;
    border-bottom: 2px solid #FF6E16;
    border-radius: 0 0 0 5px;
  }
  .cb-architecture .dot-arrow_bottom {
    position: absolute;
    bottom: 20%;
    left: -8px;
  }
  .cb-architecture .dot-arrow_bottom:before {
    position: absolute;
    content: "";
    left: 0;
    bottom: -1px;
    width: 7px;
    height: 3px;
    border-left: 2px solid #FF6E16;
    border-top: 2px solid #FF6E16;
    border-radius: 5px 0 0 0;
  }
}
.cb-architecture .ario-architecture__messages.right .architecture-message .connect-point {
  left: -2px;
}

.cb-architecture .ario-architecture__messages.left .architecture-message .connect-point {
  right: -2px;
}

.architecture-scheme__arrow {
  position: relative;
  margin: 0 auto;
  width: 40px;
  height: 40px;
}
.architecture-scheme__arrow:after {
  position: absolute;
  content: "";
  left: calc(50% - 1px);
  top: 0;
  width: 2px;
  height: 100%;
  border-left: 2px solid #FF6E16;
}
.architecture-scheme__arrow:before {
  position: absolute;
  content: "";
  left: 0;
  right: 0;
  bottom: 1px;
  margin-left: auto;
  margin-right: auto;
  width: 10px;
  height: 10px;
  border-left: 2px solid #FF6E16;
  border-bottom: 2px solid #FF6E16;
  transform: rotate(-45deg);
}